Amazon Linux 2 : zlib (ALAS-2022-1772)

high Nessus プラグイン ID 159560

概要

リモートのAmazon Linux 2ホストに、セキュリティ更新プログラムがありません。

説明

リモートホストにインストールされている zlib のバージョンは、1.2.7-19 より前です。したがって、ALAS2-2022-1772 のアドバイザリに記載されている脆弱性の影響を受けます。

- 1.2.12 より前の zlib は、入力に多くの遠方の一致がある場合、デフレート (圧縮) の際にメモリ破損を引き起こす可能性があります。(CVE-2018-25032)

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ頼っていることに注意してください。

ソリューション

「yum update zlib」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2/ALAS-2022-1772.html

https://alas.aws.amazon.com/cve/html/CVE-2018-25032.html

プラグインの詳細

深刻度: High

ID: 159560

ファイル名: al2_ALAS-2022-1772.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/4/6

更新日: 2022/4/6

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.1

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2018-25032

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:minizip, p-cpe:/a:amazon:linux:minizip-devel, p-cpe:/a:amazon:linux:zlib, p-cpe:/a:amazon:linux:zlib-debuginfo, p-cpe:/a:amazon:linux:zlib-devel, p-cpe:/a:amazon:linux:zlib-static, cpe:/o:amazon:linux:2

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/4/4

脆弱性公開日: 2022/3/25

参照情報

CVE: CVE-2018-25032

ALAS: 2022-1772